"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeterministicIdContextProvider = void 0;
var _DeterministicIdContext = require("./DeterministicIdContext");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

/**
 * ---
 * category: components/utilities
 * ---
 * WARNING: providing the `instanceCounterMap` prop will result in unexpected behaviour. DO NOT USE IT!
 *
 * DEPRECATED: the `instanceCounterMap` prop is deprecated. You don't need to supply the
 * `instanceCounterMap` to the component. It handles it internally.
 *
 * This is utility component for wrapping components with `DeterministicIdContext.Provider`
 * See detailed documentation about how to use it: [InstUISettingsProvider](/#InstUISettingsProvider)
 */
const DeterministicIdContextProvider = ({
  children,
  instanceCounterMap = _DeterministicIdContext.defaultDeterministicIDMap
}) => {
  return (0, _jsxRuntime.jsx)(_DeterministicIdContext.DeterministicIdContext.Provider, {
    value: instanceCounterMap,
    children: children
  });
};
exports.DeterministicIdContextProvider = DeterministicIdContextProvider;